public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/qtawesome/
Date: Tue, 12 Dec 2023 06:32:38 +0000 (UTC)	[thread overview]
Message-ID: <1702362740.54f5918b672173972a1fb049fc46c25efe2a74bd.mgorny@gentoo> (raw)

commit:     54f5918b672173972a1fb049fc46c25efe2a74bd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 12 06:23:18 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 12 06:32:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54f5918b

dev-python/qtawesome: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/qtawesome/Manifest               |  1 +
 dev-python/qtawesome/qtawesome-1.3.0.ebuild | 49 +++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/qtawesome/Manifest b/dev-python/qtawesome/Manifest
index 25346ce48f10..c29face938cc 100644
--- a/dev-python/qtawesome/Manifest
+++ b/dev-python/qtawesome/Manifest
@@ -1 +1,2 @@
 DIST QtAwesome-1.2.3.tar.gz 2281470 BLAKE2B 3aa015708b6cc26b01fdb17cd1a283ce6aaf05eb8e6e6c316f02a6475738565fb350d64d298c7c2983604f61f40c3b51f3b5e2c134ecae6142519fa78593daf9 SHA512 8c265511922016e6e304443d5771ce19abae62afc8a7115452bde83ca033cb63da2fbe3a91073ff0394ded9a5959a965a0e2a17cae9ed8be0e7c93309a952337
+DIST QtAwesome-1.3.0.tar.gz 2375398 BLAKE2B ed4f33b7f1fe7c54b4794247032a65638f4b1527ac460274486c673d767332c5aab64bc27924738914147e674e17c23e0e23e728fa32af8925fce7f58b417d17 SHA512 536918a63a22555b52abd66302f020f91df8ee75e8e806b258780944e143275245a73a4f215e2626eaf1d844552426fc1b45eff4e5de05a268b8b9179492cd7e

diff --git a/dev-python/qtawesome/qtawesome-1.3.0.ebuild b/dev-python/qtawesome/qtawesome-1.3.0.ebuild
new file mode 100644
index 000000000000..fef57c0b82ba
--- /dev/null
+++ b/dev-python/qtawesome/qtawesome-1.3.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Enables iconic fonts such as Font Awesome in PyQt"
+HOMEPAGE="
+	https://github.com/spyder-ide/qtawesome/
+	https://pypi.org/project/QtAwesome/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize QtAwesome)"
+S="${WORKDIR}/QtAwesome-${PV}"
+
+LICENSE="MIT"
+# bundled fonts
+# -------------
+# Font Awesome, Elusive Icons: OFL-1.1
+# Phosphor: MIT
+# Material Design Icons, Remix Icon: Apache-2.0
+# Codicons: CC-BY-4.0
+LICENSE+=" Apache-2.0 CC-BY-4.0 MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+	media-fonts/fontawesome
+	dev-python/QtPy[gui,${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/pytest-qt[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source
+
+src_test() {
+	virtx distutils-r1_src_test
+}
+
+python_test() {
+	nonfatal epytest || die -n "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2023-12-12  6:32 UTC|newest]

Thread overview: 60+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-12  6:32 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-15 12:16 [gentoo-commits] repo/gentoo:master commit in: dev-python/qtawesome/ Arthur Zamarin
2025-02-28  4:42 Michał Górny
2024-07-03 16:08 Andrew Ammerlaan
2024-04-13 17:49 Michał Górny
2024-04-13 17:36 Sam James
2024-03-29 11:24 Andrew Ammerlaan
2024-02-07  9:14 Michał Górny
2023-12-30 14:40 Michał Górny
2023-12-30 14:25 Arthur Zamarin
2023-11-24 21:53 Sam James
2023-11-11 10:36 Michał Górny
2023-11-11 10:36 Michał Górny
2023-09-14 11:02 Andrew Ammerlaan
2023-04-22 16:18 Michał Górny
2023-04-22 11:33 Sam James
2023-03-10  4:47 Michał Górny
2023-02-17  6:21 Michał Górny
2023-02-16 22:50 Sam James
2022-12-28  8:17 Michał Górny
2022-11-30  2:48 Michał Górny
2022-11-29 21:46 Jakov Smolić
2022-10-25  8:28 Michał Górny
2022-10-20 10:38 Andrew Ammerlaan
2022-06-15 11:32 Michał Górny
2022-06-14 21:17 Jakov Smolić
2022-06-12 15:56 Sam James
2022-06-12 14:52 Sam James
2022-06-08 19:16 Andrew Ammerlaan
2021-12-12 10:01 Michał Górny
2021-12-12  9:45 Jakov Smolić
2021-11-29 22:29 Michał Górny
2021-11-03 10:51 Andrew Ammerlaan
2021-07-25  8:41 Michał Górny
2021-07-25  1:04 Sam James
2021-06-22 17:59 Andrew Ammerlaan
2021-06-05 11:56 Andrew Ammerlaan
2021-01-18 19:06 Michał Górny
2021-01-18 17:43 Sam James
2020-12-17  0:18 Matt Turner
2020-12-06  9:14 Michał Górny
2020-12-06  8:01 Joonas Niilola
2020-12-05  9:58 Michał Górny
2020-11-05  1:39 Matt Turner
2020-11-05  1:39 Matt Turner
2020-10-08  7:48 Joonas Niilola
2020-10-07 18:44 Joonas Niilola
2020-10-07 16:49 Joonas Niilola
2020-05-26 20:43 Matt Turner
2020-05-11 17:48 Michał Górny
2020-05-04 16:25 Joonas Niilola
2020-05-04 11:49 Michał Górny
2020-03-27 16:25 Joonas Niilola
2020-02-05 21:21 Michał Górny
2020-01-23  9:53 Joonas Niilola
2018-11-11 13:23 Andrey Grozin
2017-12-03  6:40 Andrey Grozin
2017-09-19 11:51 Andrey Grozin
2017-05-12 12:13 Manuel Rüger
2016-12-12 14:28 Andrey Grozin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1702362740.54f5918b672173972a1fb049fc46c25efe2a74bd.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox